Skip to main content
curl https://api.chargeapi.co/v1/transactions/txn_GHIofKwUOLkO9zRNKtICIMgQevon67HV \
  -H "Authorization: Bearer ch_sk_test_..."
{
    "id": "txn_GHIofKwUOLkO9zRNKtICIMgQevon67HV",
    "object": "transaction",
    "amount": 1842,
    "charging_session": "cs_eAiWnuD4jTKzsulAM29yf9SfiGQF4TJv",
    "created": "2026-04-01T03:21:30.669Z",
    "currency": "eur",
    "description": "Charge for charging session cs_eAiWnuD4jTKzsulAM29yf9SfiGQF4TJv",
    "driver": "drv_S6ni16XWNGWfIqjAAakfufQobI7SzAeJ",
    "fleet": "flt_2RjM7Bq5TvZNmc0aUKLsxHhyPqovjvKf",
    "payment_method": "pm_B239tHxpeRLDlqkEfi3BxNnKK7O4fVth",
    "status": "succeeded",
    "type": "charge",
    "vehicle": "veh_hkUHoAqAgekypzthcZ7EOZOjYXgCVV9Y"
}
Retrieves a transaction.
curl https://api.chargeapi.co/v1/transactions/txn_GHIofKwUOLkO9zRNKtICIMgQevon67HV \
  -H "Authorization: Bearer ch_sk_test_..."
{
    "id": "txn_GHIofKwUOLkO9zRNKtICIMgQevon67HV",
    "object": "transaction",
    "amount": 1842,
    "charging_session": "cs_eAiWnuD4jTKzsulAM29yf9SfiGQF4TJv",
    "created": "2026-04-01T03:21:30.669Z",
    "currency": "eur",
    "description": "Charge for charging session cs_eAiWnuD4jTKzsulAM29yf9SfiGQF4TJv",
    "driver": "drv_S6ni16XWNGWfIqjAAakfufQobI7SzAeJ",
    "fleet": "flt_2RjM7Bq5TvZNmc0aUKLsxHhyPqovjvKf",
    "payment_method": "pm_B239tHxpeRLDlqkEfi3BxNnKK7O4fVth",
    "status": "succeeded",
    "type": "charge",
    "vehicle": "veh_hkUHoAqAgekypzthcZ7EOZOjYXgCVV9Y"
}

Parameters

No parameters.

Returns

Returns the transaction.